<?php

namespace Tests\Callback\Http\Controllers;

use Modules\Callback\Http\Controllers\CallbackLogController;
use PHPUnit\Framework\TestCase;
use Tests\UsedTestCase;

class CallbackLogControllerTest extends UsedTestCase
{
    public function testList()
    {
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('get','http://localhost/api/callback/juliangAccount/log/list', []);
        $this->dumpJson($res);
    }

    public function testCallbackAgain() {
        $id = 1004;
        $res = $this->withHeaders([
            'Authorization' => 'Bearer '. $this->token,
        ])->json('post','http://localhost/api/callback/juliangAccount/log/callbackAgain', [
            'log_id'=> $id,
        ]);
        $res->dump();
    }
}
